#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QWidget>
#include <QOpenGLWidget>
#include <QtOpenGL>

extern int z;
extern float linewidth;
extern float lineheight;
extern float zoom;
extern float zoomh;
extern float leadin;
extern float circlediameter;
extern float circle_x_center;
extern float circle_y_center;
extern QString fPath;

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_clicked();

    void on_lineEdit_textEdited(const QString &arg1);

    void on_help_triggered();

    void on_licence_triggered();

    void on_save_triggered();

    void on_exit_triggered();

    void on_about_triggered();

    void on_open_2_triggered();

private:
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
